/*
 * Class CODE_VALIDITY_CHECKER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_880 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_880 [] = {0xFF01,237,879,0xFFFF};
static const EIF_TYPE_INDEX egt_2_880 [] = {0xFF01,879,0xFFFF};
static const EIF_TYPE_INDEX egt_3_880 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_880 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_880 [] = {0xFF01,879,0xFFFF};
static const EIF_TYPE_INDEX egt_6_880 [] = {0xFF01,879,0xFFFF};
static const EIF_TYPE_INDEX egt_7_880 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_880 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_880 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_880 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_880 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_880 [] = {0xFF01,879,0xFFFF};


static const struct desc_info desc_880[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_880), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_880), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_880), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_880), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_880), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_880), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_880), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_880), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_880), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_880), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_880), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_880), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DF /*879*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_880), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12801, 0xFFFFFFFF},
};
void Init880(void)
{
	IDSC(desc_880, 0, 879);
	IDSC(desc_880 + 1, 1, 879);
	IDSC(desc_880 + 32, 396, 879);
}


#ifdef __cplusplus
}
#endif
